clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::Transport::MessageHandler Class Referenceabstract

`#include <Transport.h>`

Inheritance diagram for clang::clangd::Transport::MessageHandler:
[legend]

## Public Member Functions
virtual | ~MessageHandler ()=default
virtual bool | onNotify (llvm::StringRef Method, llvm::json::Value)=0
virtual bool | onCall (llvm::StringRef Method, llvm::json::Value Params, llvm::json::Value ID)=0
virtual bool | onReply (llvm::json::Value ID, llvm::Expected< llvm::json::Value > Result)=0

## Detailed Description

Definition at line 47 of file Transport.h.

## Constructor & Destructor Documentation

## ◆ ~MessageHandler()

virtual clang::clangd::Transport::MessageHandler::~MessageHandler | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ onCall()

virtual bool clang::clangd::Transport::MessageHandler::onCall | ( | llvm::StringRef | Method,
|  | llvm::json::Value | Params,
|  | llvm::json::Value | ID
| ) |  |
| pure virtual

Implemented in clang::clangd::ClangdLSPServer::MessageHandler.

## ◆ onNotify()

virtual bool clang::clangd::Transport::MessageHandler::onNotify | ( | llvm::StringRef | Method,
|  | llvm::json::Value |
| ) |  |
| pure virtual

Implemented in clang::clangd::ClangdLSPServer::MessageHandler.

## ◆ onReply()

virtual bool clang::clangd::Transport::MessageHandler::onReply | ( | llvm::json::Value | ID,
|  | llvm::Expected< llvm::json::Value > | Result
| ) |  |
| pure virtual

Implemented in clang::clangd::ClangdLSPServer::MessageHandler.

The documentation for this class was generated from the following file:

- Transport.h